Package org.apache.sling.cms.core.models

## Class i18nHelper

- java.lang.Object
- - org.apache.sling.cms.core.models.i18nHelper

    @ProviderType
    @Model(adaptables=org.apache.sling.api.resource.Resource.class)
    public class i18nHelper
    extends Object

A model retrieving all of the keys for a i18n dictionary

### Constructor Summary

Constructors
`i18nHelper​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `getKeys()`
`String` `getRandom()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### i18nHelper

    public i18nHelper​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getKeys

    public Set<String> getKeys()

#### getRandom

    public String getRandom()